/* device labels */
DeviceLabelVendorAndProduct = "%@ %@";	/* Name for device with both a vendor and a product string */
DeviceLabelProductOnly = "%@";			/* Name for device with only a product string */
DeviceLabelVendorOnly = "%@ device";	/* Name for device with only a vendor string */
DeviceLabelUnknown = "Unknown device";	/* Name for device with no vendor or product string */

/* unique layers */
UniqueLayerAudioOnlyName = "Audio Only";
UniqueLayerAudioOnlyTagline = "Assign audio devices or media files";
UniqueLayerAudioOnlyDescription = "This layer has no video and just plays audio.";
AudioSourceNameUnavailable = "None";

/* unique sources */
UniqueSourceInputDefault = "Layer Default";

/* toolbar item labels */
ToolbarItemLabelStartFullscreen = "Start Fullscreen";
ToolbarItemLabelStopFullscreen = "Stop Fullscreen";
ToolbarItemLabelStartRecording = "Start Recording";
ToolbarItemLabelStopRecording = "Stop Recording";
ToolbarItemLabelShowSources = "Show Sources";
ToolbarItemLabelHideSources = "Hide Sources";

/* toolbar item tool tips */
ToolbarItemToolTipStartFullscreen = "Start Fullscreen";
ToolbarItemToolTipStopFullscreen = "Stop Fullscreen";
ToolbarItemToolTipStartRecording = "Start Recording";
ToolbarItemToolTipStartRolling  = "Start Rolling";
ToolbarItemToolTipStopRolling  = "Stop Rolling";
ToolbarItemToolTipStopRecording = "Stop Recording";
ToolbarItemToolTipShowSources = "Show Sources";
ToolbarItemToolTipHideSources = "Hide Sources";

/* menu item titles */
MenuItemTitleStartNDISender = "Start NDI® Sender";
MenuItemTitleStopNDISender = "Stop NDI® Sender";
MenuItemTitleStartFullscreen = "Start Fullscreen";
MenuItemTitleStopFullscreen = "Stop Fullscreen";
MenuItemTitleStartRecording = "Start Recording";
MenuItemTitleStopRecording = "Stop Recording";
MenuItemTitleHideSources = "Hide Sources";
MenuItemTitleShowSources = "Show Sources";
MenuItemTitleShowMoreFilters = "Show More Filters";
MenuItemTitleShowFewerFilters = "Show Fewer Filters";
MenuItemTitleAddFilteredSource = "Create Filtered Source…";
MenuItemTitleEditFilteredSource = "Edit Filtered Source…";
MenuItemTitleSwitchOnLayer = "Switch Live";
MenuItemTitleSwitchOffLayer = "Switch Off";
MenuItemTitleExpandLayer = "Expand";
MenuItemTitleCollapseLayer = "Collapse";
MenuItemTitleCustom = "Custom…";
MenuItemTitleCurrentSize = "Current Size";
MenuItemTitleTemplateDefault = "Template Default";
MenuItemTitleOpenOtherRecentDocument = "Other…";
PopupMenuTitleOpenRecentDocument = "Open Recent Document…";
MenuItemTitleDisconnectedEndpointFormat = "%@ (Disconnected)";
"com.boinx.boinxtv.endpoint.avc" = "Media Devices";
"com.boinx.boinxtv.endpoint.computer" = "Local Computers";
"com.boinx.boinxtv.endpoint.internet" = "The Internet";
"com.boinx.boinxtv.endpoint.quicktime" = "QuickTime Movie";


/* UNDO REDO ACTIONS */

/* Undo Sources */
UndoActionAddSource = "Add Source";
UndoActionAddMultipleSources = "Add %lu Sources";
UndoActionRemoveSource = "Delete Source";
UndoActionRemoveMultipleSources = "Delete %lu Sources";

/* Undo Source Filters */
UndoActionAddSourceFilter = "Add Filter to Source";
UndoActionAddMultipleSourceFilters = "Add %lu Filters to Source";
UndoActionRemoveSourceFilter = "Remove Filter from Source";
UndoActionRemoveMultipleSourceFilters = "Remove %lu Filters from Source";

/* Undo Source Settings: All Sources */
UndoActionSourceName = "Name Change";
/* Undo Source Settings: Movie Source */
UndoActionMovieSourceLoop = "Loop Setting Change";
UndoActionMovieSourcePlaybackMode = "Playback Mode Change";
UndoActionMovieSourceGain = "Gain Change";
UndoActionMovieSourceGainActive = "Toggle Gain";
/* Undo Source Settings: Playlist Source */
UndoActionPlaylistSourceCrossfadeTime = "Crossfade Time Change";
UndoActionPlaylistSourceCrossfadeActive = "Toggle Crossfade";
UndoActionPlaylistSourceRandom = "Toggle Random";
UndoActionPlaylistSourceNonStop = "Toggle Non-Stop";
UndoActionPlaylistSourceRestartOnLive = "Toggle Restart On Live";
UndoActionPlaylistSourcePlaylist = "Items Change";
/* Undo Source Settings: Image Source */
/* Undo Source Settings: Composition Video Source */
UndoActionCompositionVideoSourceWidth = "Render Size Width Change";
UndoActionCompositionVideoSourceHeight = "Render Size Height Change";
/* Undo Source Settings: Device Audio Source */
UndoActionAudioSourceDevice = "Device Change";
UndoActionAudioSourceChannelMap = "Device Channels Change";
UndoActionAudioSourceDynamicsActive = "Toggle Dynamics";
UndoActionAudioSourceDynamicsParameters = "Dynamics Parameter Change";
UndoActionAudioSourceGain = "Gain Change";
UndoActionAudioSourceGainActive = "Toggle Gain";
/* Undo Source Settings: Device Video Source */
UndoActionVideoSourceDevice = "Device Change";
/* Source Settings: Screen Capture Source */
UndoActionScreenCaptureSourceDisplayID = "Display Change";
UndoActionScreenCaptureSourceInputRect = "Capture Area Change";
UndoActionScreenCaptureSourceIncludeMouseCursor = "Include Mouse Cursor Change";
/* Undo Source Settings: Window Capture Source */
UndoActionWindowCaptureSourceWindow = "Window Change";
UndoActionWindowCaptureSourceCropLeft = "Crop Left Change";
UndoActionWindowCaptureSourceCropRight = "Crop Right Change";
UndoActionWindowCaptureSourceCropTop = "Crop Top Change";
UndoActionWindowCaptureSourceCropBottom = "Crop Bottom Change";
/* Undo Source Settings: File Reference Source */
UndoActionFileReferenceSourceFileRefererenceMode = "File Reference Mode Change";
/* Undo Source Settings: Audio Test Source */
UndoActionAudioTestSourceDurationWhiteKey = "White Frame Duration Change";
UndoActionAudioTestSourceDurationBlackKey = "Black Frame Duration Change";
UndoActionAudioTestSourceSignalNameKey = "Signal Type Change";
/* Undo Source Settings: RTSP Source */
UndoActionRTSPURL = "RTSP URL Change";
UndoActionFFmpegParameter = "FFmpeg Parameter Change";
UndoActionShowPassword = "Toggle Show Password";
UndoActionSelectVideoStreamNr = "Video Stream Change";
UndoActionSelectAudioStreamNr = "Audio Stream Change";

/* Undo Layers */
UndoActionInsertLayers = "Insert Layer";
UndoActionRemoveLayers = "Delete Layer";
UndoActionRearrangeLayers = "Rearrange Layers";
UndoActionInsertSettings = "Duplicate Layer Variant";
UndoActionRemoveSettings = "Delete Layer Variant";
UndoActionRearrangeSettings = "Rearrange Layer Variants";
UndoActionSettingValueChange = "Layer Setting Change";
UndoActionSettingNameChange = "Rename Layer Variant";
UndoActionSettingTriggerChange = "Record Layer Variant Trigger";
UndoActionLayerNameChange = "Rename Layer";
UndoActionLayerVolumeChange = "Layer Volume Change";
UndoActionLayerTriggerChange = "Record Layer Trigger";
UndoActionLayerActionShortcutChange = "Record Action Shortcut";
UndoActionVideoLayerToggleActiveState = "Toggle Live State";

/* Undo Show Settings */
UndoActionShowSettingsFrameRateChange = "Frame Rate Change";
UndoActionShowSettingsChangeRecordingFormat = "Recording Format Change";
UndoActionShowSettingsDocumentWidth = "Document Width Change";
UndoActionShowSettingsDocumentHeight = "Document Height Change";
UndoActionShowSettingsFrameRate = "Frame Rate Change";
UndoActionShowSettingsAudioSampleRate = "Audio Sample Rate Change";
UndoActionShowSettingsDuration = "Show Length Change";
UndoActionShowSettingsDurationCountsDown = "Show Length Count Direction Change";
UndoActionShowSettingsStartOffset = "Show Start Offset Change";
UndoActionShowSettingsEndOffset = "Show End Offset Change";
UndoActionShowSettingsOpenDocumentInKioskMode = "Open Document in Kiosk Mode Change";
UndoActionShowSettingsIgnoreChangesWhenClosingDocument = "Ignore Changes When Closing Document Change";

/* Undo Show Metadata */
UndoActionShowMetadataTitleChange = "Title Change";
UndoActionShowMetadataArtistChange = "Artist Change";
UndoActionShowMetadataShowAlbumChange = "Show Change";
UndoActionShowMetadataDescriptionChange = "Description Change";

/* Undo Show Fullscreen Settings */
UndoActionStartFullscreenOnShowStart = "Start Fullscreen on Show Start Change";
UndoActionStopFullscreenOnShowEnd = "Stop Fullscreen on Show End Change";
UndoActionFullscreenDisplayID = "Fullscreen Display Change";
UndoActionFullscreenOutputMirrored = "Fullscreen Display Mirrored";

/* Undo Record Settings */
UndoActionRecordSettingsStartRecordOnShowStart = "Start Record on Show Start Change";
UndoActionRecordSettingsStopRecordOnShowEnd = "Stop Record on Show End Change";
UndoActionRecordSettingsRecordLocation = "Record Location Change";
UndoActionRecordSettingsRecordFilename = "Record Filename Change";
UndoActionRecordSettingsVideoCodec = "Video Codec Change";
UndoActionRecordSettingsAudioCodec = "Audio Codec Change";

/* Undo Stream Settings */
UndoActionStreamSettingsStartStreamOnShowStart = "Streaming on Show Start Change";
UndoActionStreamSettingsStopStreamOnShowEnd = "Streaming on Show End Change";
UndoActionStreamSettingsAutomaticReconnect = "Automatic Reconnect Change";
UndoActionStreamSettingsServerURL = "Server URL Change";
UndoActionStreamSettingsBroadcastServerURL = "Broadcast Server URL Change";
UndoActionStreamSettingsStreamKey = "Stream Key Change";
UndoActionStreamSettingsUserName = "Username Change";
UndoActionStreamSettingsWidth = "Streaming Width Change";
UndoActionStreamSettingsHeight = "Streaming Height Change";
UndoActionStreamSettingsVideoSize = "Streaming Video Size Change";
UndoActionStreamSettingsDimensions = "Streaming Dimensions Change";
UndoActionStreamSettingsVideoProfileLevel = "Video Profile Level Change";
UndoActionStreamSettingsAudioDataRate = "Streaming Audio Data Rate Change";
UndoActionStreamSettingsVideoDataRate = "Streaming Video Data Rate Change";
UndoActionStreamSettingsVideoKeyFrameInterval = "Streaming Key Frame Interval Change";

/* Undo Playback Settings */
UndoActionPlaybackSettingsStartPlaybackOnShowStart = "Playback on Show Start Change";
UndoActionPlaybackSettingsStopPlaybackOnShowEnd ="Playback on Show End Change";
UndoActionPlaybackSettingsDevice = "Playback Device Change";
UndoActionPlaybackSettingsVideoFormat = "Playback Video Format Change";
UndoActionPlaybackSettingsVideoInputConnection = "Playback Video Input Connection Change";
UndoActionPlaybackSettingsAudioFormat = "Playback Audio Format Change";
UndoActionPlaybackSettingsAudioInputConnection = "Playback Audio Input Change";
UndoActionPlaybackSettingsKeyingMode = "Playback Keying Mode Change";

/* Undo Output Destinations Settings */
UndoActionOutputDestinationSettingsStartOnShowStart = "Start on Show Start Change";
UndoActionOutputDestinationSettingsStopOnShowEnd ="Stop on Show End Change";
UndoActionOutputDestinationWebRTCSettingsMimoCallURL = "mimoCall Output Destination URL Change";

/* Program Out */
UndoActionMasterOutputDevice = "Playthrough Device Change";
UndoActionMasterVolume = "Master Volume Change";
UndoActionMasterDynamicsActive = "Toggle Master Dynamics";
UndoActionMasterPlaythroughActive = "Toggle Master Playthrough";

/* default names for newly created layers */
LayerSettingDefaultName = "Variant %d";

/* layer and source segmented control labels */
SegmentLabelLayers = "Layers";
SegmentLabelSources = "Sources";

/* layer labels */
LayerCategoryAudio = "Audio";
LayerCategoryBackground = "Background";
LayerCategoryBasic = "Basic";
LayerCategoryData = "Data";
LayerCategoryDebug = "Debug";
LayerCategoryMisc = "Miscellaneous";
LayerCategoryOverlay = "Overlay";
LayerCategorySpecial = "Special";

/* text displayed in edit field when editing hotkeys */
BXHotkeyPressShortcutPrompt = "Press Shortcut";

/* dialog shown when adding new sources */
AddMediaSourcePanelMessage = "Select an image, movie, sound clip or Quartz Composition.";
AddMediaSourcePanelDefaultButton = "Add";

/* dialog shown when filtering video sources */
FilterChooserWindowTitleCreate = "Filtering %@";
FilterChooserWindowTitleUpdate = "Editing %@";
FilterChooserDefaultButtonCreate = "Create";
FilterChooserDefaultButtonUpdate = "Update";
FilterChooserCancelButton = "Cancel";

/* dialog shown when adding new items to playlist source */
AddPlaylistItemsPanelMessage = "Select a movie, sound clip or playlist.";
AddPlaylistItemsPanelDefaultButton = "Add";

/* dialog box shown when the user chooses a save location for a recording */
SaveRecordingTitle = "Save Recording";
SaveRecordingMessage = "Please choose a location for your recorded movie.";
/* e.g. BoinxTV Recording on 20090810-1033 */
SaveRecordingDefaultFilename = "%@ Recording on %@";
SavedWithVersion = "Saved with mimoLive %@";

/* fullscreen sheet - THESE MUST BE THE SAME AS BXPrefsFullscreen.prefPane/Contents/Resources/Language.lproj/Localizable.strings */
FullscreenLabelDisplay = "Use Screen:";
FullscreenLabelResolution = "Resolution:";
FullscreenLabelDepth = "Color Depth:";
FullscreenLabelRefreshRate = "Refresh Rate:";

FullscreenDisplayIndex = "Display %d";
FullscreenResolution = "%d × %d";
FullscreenDepthMillions = "Millions";
FullscreenDepthThousands = "Thousands";
FullscreenDepthOther = "%d Colors";
FullscreenRefreshRate = "%d Hertz";
FullscreenFlatPanel = "Flat Panel";

FullscreenConfigureButtonOK = "OK";
FullscreenConfigureButtonCancel = "Cancel";

/* device vendors */
DeviceVendorRode = "Røde";

/* byte size formatters */
BytesFormatter     = "%@ Bytes";
KilobytesFormatter = "%@ KB";
MegabytesFormatter = "%@ MB";
GigabytesFormatter = "%@ GB";
TerabytesFormatter = "%@ TB";

/* errors - these are going to move into a different strings file soon */
ErrorDefaultButton = "OK";		// rarely used
ErrorDescriptionUnknown = "An unknown error occurred.";
MultipleErrorsTitle = "Multiple Errors Occured";
MultipleErrorsSummary = "All errors which were encountered are listed below in chronological order.";
ActiveDisplaysErrorMessage = "Unable to get list of active displays.";

ErrorDescriptionMuxedQTCaptureConnection = "A muxed media connection type was encountered during creation of the audio movie file output.";
ErrorDescriptionCouldNotSaveMovie = "Could not save the output movie.";
ErrorDescriptionMovieInHomeFolder = "The movie will be saved in your home folder.";

ErrorFailureReasonNoVideoData = "No video data were recorded.";
ErrorFailureReasonCouldNotWriteToMovieFolder = "Could not write to selected output destination.";

GeneralUnnamed = "Unnamed";
